Bug 13024 - New async sticky write time offset miscalculation causes broken timestamps
New async sticky write time offset miscalculation causes broken timestamps
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.7.0rc5
All All
: P5 regression
: 4.7
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-10 23:43 UTC by Ralph Böhme
Modified: 2017-09-13 12:58 UTC (History)
5 users (show)

See Also:


Attachments
Possible patch for master (1.45 KB, patch)
2017-09-11 17:56 UTC, Ralph Böhme
no flags Details
git-am cherry-pick from master for 4.7.0. (1.82 KB, patch)
2017-09-12 00:55 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-09-10 23:43:54 UTC
The offset calculation for the offset that got passed to fetch_write_time_send() in the enumeration loop was wrong as it passed the offset before smbd_dirptr_lanman2_entry() added required padding. This resuls in broken timestamps in the find response.

Have possible patch, need bugnumber.
Comment 1 Ralph Böhme 2017-09-11 17:56:26 UTC
Created attachment 13572 [details]
Possible patch for master

Christof, can you take a look?
Comment 2 Jeremy Allison 2017-09-11 20:37:45 UTC
Can you get me a backtrace with symbols. I'll take a look, but we're not going to be able to remove the GETWD code, it is a vital security requirement. It's possible the best we can do is note that shadow_copy2 is incompatible with Solaris-based systems.
Comment 3 Jeremy Allison 2017-09-11 20:38:43 UTC
Sorry, ignore previous comment - was meant for bug:

https://bugzilla.samba.org/show_bug.cgi?id=13027
Comment 4 Ralph Böhme 2017-09-11 20:53:53 UTC
Comment on attachment 13572 [details]
Possible patch for master

Looked over it with Jeremy, pushed to autobuild.
Comment 5 Jeremy Allison 2017-09-12 00:55:12 UTC
Created attachment 13577 [details]
git-am cherry-pick from master for 4.7.0.
Comment 6 Ralph Böhme 2017-09-12 02:04:20 UTC
Reassigning to Karolin for inclusion in 4.7.
Comment 7 Karolin Seeger 2017-09-12 12:29:52 UTC
Pushed to autobuild-v4-7-test.
Comment 8 Karolin Seeger 2017-09-13 12:58:58 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-7-test.
Closing out bug report.

Thanks!